PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_claset_Tile | ( | PLASMA_enum | uplo,
|  | PLASMA_Complex32_t | alpha,
|  | PLASMA_Complex32_t | beta,
|  | PLASMA_desc * | A
| ) |  |

PLASMA_claset_Tile - Tile equivalent of PLASMA_claset(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | uplo | Specifies the part of the matrix A to be set. = PlasmaUpperLower: All the matrix A = PlasmaUpper: Upper triangular part = PlasmaLower: Lower triangular part
  [in] | alpha | All the offdiagonal array elements are set to alpha.
  [in] | beta | All the diagonal array elements are set to beta.
  [in,out] | A | On entry, the m by n matrix A. On exit, A(i,j) = ALPHA, 1 <= i <= m, 1 <= j <= n, i.ne.j; A(i,i) = BETA, 1 <= i <= min(m,n)

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_claset
  PLASMA_claset_Tile_Async
  PLASMA_claset_Tile
  PLASMA_slaset_Tile
  PLASMA_slaset_Tile